/**
 *Recupera o mapper mybatis definido no arquivo XML
 */
var PgFornEstNfSerie = mapperFactory.createMapper("PgFornEstNfSerie");

/**
 * objeto message é um hashmap que contem a chave nome do atirbuto JSON e seu respectivos valores
 */
try{
	
	var nfSeries = message.get("nfSeries");
	var mapForn = {'cdForn': message.get("cdForn")};
	var seriesJaVinculado = PgFornEstNfSerie.selectList("listarPgFornEstNfSerie", mapForn);

	if(seriesJaVinculado.size()>0){
		PgFornEstNfSerie.update("excluirPgFornEstNfSeriePorCdForn", mapForn);
	}

	for (var i = 0; i < nfSeries.size(); i++) {
		PgFornEstNfSerie.insert("incluirPgFornEstNfSerie", nfSeries.get(i));
	}
	
PgFornEstNfSerie.commit();

}catch(err){
	PgFornEstNfSerie.rollback();
  throw " Ocorreu um erro: " + err;
}